Name: H5Pclose_class
Signature:
  herr_t `H5Pclose_class`( hid_t `class` )
Purpose:
  Closes an existing property list class.
Description:
  Removes a property list class from the library.

  Existing property lists of this class will continue to exist, but new ones are not able to be created.

Parameters:

hid_t `class` | IN: Property list class to close

Returns:
  Success: a non-negative value
  Failure: a negative value
Fortran90 Interface: h5pclose_class_f

      SUBROUTINE h5pclose_class_f(class, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: class ! Property list class identifier
                                            ! to close
        INTEGER, INTENT(OUT) :: hdferr      ! Error code
                                            ! 0 on success and -1 on failure
      END SUBROUTINE h5pclose_class_f